#### executor::defer

Request the executor to invoke the given function object.

    template<
        typename Function,
        typename Allocator>
    void defer(
        Function && f,
        const Allocator & a) const;

This function is used to ask the executor to execute the given function object. The function object is executed according to the rules of the target executor object.

###### Parameters

f

  The function object to be called. The executor will make a copy of the handler object as required. The function signature of the function object must be:

      void function();

a

  An allocator that may be used by the executor to allocate the internal storage needed for function invocation.